#include	<Xm/Xm.h>
#include	<Xm/MessageB.h>
#include	"callbacks.h"

Widget InfoDialog( Widget w )
{
    Widget dialog ;
    dialog=XmCreateInformationDialog(w,"informationdialog",NULL,0) ;
    XtVaSetValues( dialog,
		   XmNdialogStyle, XmDIALOG_FULL_APPLICATION_MODAL,
		   NULL ) ;
    XtUnmanageChild(XmMessageBoxGetChild(dialog,XmDIALOG_CANCEL_BUTTON)) ;
    XtUnmanageChild(XmMessageBoxGetChild(dialog,XmDIALOG_HELP_BUTTON)) ;
    XtAddCallback( dialog,XmNokCallback,
		   QuitCB,NULL ) ;
    XtManageChild(dialog) ;
    return(dialog) ;
}

Widget ErrorDialog( Widget w )
{
    Widget dialog ;
    dialog=XmCreateErrorDialog(w,"errordialog",NULL,0) ;
    XtVaSetValues( dialog,
		   XmNdialogStyle, XmDIALOG_FULL_APPLICATION_MODAL,
		   NULL ) ;
    XtUnmanageChild(XmMessageBoxGetChild(dialog,XmDIALOG_CANCEL_BUTTON)) ;
    XtUnmanageChild(XmMessageBoxGetChild(dialog,XmDIALOG_HELP_BUTTON)) ;
    XtManageChild(dialog) ;
    return(dialog) ;
}

Widget WorkingDialog( Widget w )
{
    Widget dialog ;
    dialog=XmCreateWorkingDialog(w,"workingdialog",NULL,0) ;
    XtVaSetValues( dialog,
		   XmNdialogStyle, XmDIALOG_FULL_APPLICATION_MODAL,
		   NULL ) ;
    XtUnmanageChild(XmMessageBoxGetChild(dialog,XmDIALOG_OK_BUTTON)) ;
    XtUnmanageChild(XmMessageBoxGetChild(dialog,XmDIALOG_HELP_BUTTON)) ;
    XtAddCallback( dialog,XmNcancelCallback,
		   CancelCB,NULL ) ;
    XtManageChild(dialog) ;
    return(dialog) ;
}
